Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0036170
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 03. Procurement managementmajoralways2017-06-02 12:542017-06-08 17:12
ReportervmromanosView Statuspublic 
Assigned Tomarkmm82 
PrioritynormalResolutionfixedFixed in Version3.0PR17Q3
StatusclosedFix in branchFixed in SCM revision0dd46aacb8d3
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Toaferraz
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0036170: Improvements in GrantAccessToProcessDefinition module script to fix CI inestability

DescriptionThe GrantAccessToProcessDefinition module script is now in charge of:

1. Automatically add access to new Purchase Order Report (process definition) to manually created roles that previously had access to old Purchase Order Report (report and process). This part is working fine and should be kept as it is.

2. Show a warning message in the compilation when detecting that a role created from a dataset had access to the old Purchase Order Report, encouraging the user to either apply the dataset update or to manually set the access for the new report.

This part should be adapted. Instead of showing the warning, an alert should be created and assigned to the admin role and each of the affected roles. The alert will be text only (no SQL) informing about the problem


Note that test case "[porm-09] Verify modulescript comming from an old version" https://testlink.openbravo.com/testlink/linkto.php?tprojectPrefix=Communit&item=testcase&id=Communit-10638 [^] should be adapted accordingly
Steps To Reproduce1. Get a 17Q2 instance and run install.source
2. Update it to PI
3. Run smartbuild -Dlocal=no
4. A Warning message will be shown in the GrantAccessToProcessDefinition execution.
Instead of a warning, an alert should be created for the affected roles and the admin role.
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
depends on defect 0035718 closedairaceburu API Break on Purchase Order Report Modifications project (try-api 4815) 
depends on feature request 0033035 closedairaceburu New filters in Purchase Order Report 
depends on defect 0036171 closedvmromanos API Break on Purchase Order Report Modifications project 

-  Notes
(0097151)
markmm82 (developer)
2017-06-05 19:56

Test Plan:
Without apply the patch:
1. Get a 17Q2 instance and run install.source
2. Update it to PI, without apply the fix for this issue.
3. Run smartbuild -Dlocal=no
   Notice modulescript was skipped and was no applied. In log you can find "Skipped modulescripts..." message.
4. Run install.sample.data task
   This time the modulescript is applied and a Warning message will be shown in the GrantAccessToProcessDefinition execution with following message:
 "Role 'F&B España, S.A - Procurement (F&B International Group)' has access to legacy report 'Purchase Order Report'. You should either apply the dataset update on module 'Standard Roles' or manually grant access to new Process Definition, otherwise users belonging to this role won't be able to launch the report anymore."

5. Now, repeat steps 1 and 2.
6. Apply the fix.
7. Run smartbuild -Dlocal=no
8. Run install.sample.data task to execute the modulescript.
   Notice that warning explained in step 4 is not shown anymore.
9. Access as F&B Group Admin role.
   Check a new alert was created, and it is accessible at the menu.
10 Access the Alert Management window, in New alerts section you will find the created alert:
Alert rule: Grant Access To Process Definition.
Description: Role 'F&B España, S.A - Procurement (F&B International Group)' has access to legacy report 'Purchase
     Order Report'. You should either apply the dataset update on module 'Standard Roles' or manually grant access
    to new Process Definition, otherwise users belonging to this role won't be able to launch the report anymore.
Role: F&B España, S.A - Procurement.
11. Access as F&B España, S.A - Procurement.
   Check the new alert was accessible at the menu.
12. Change to other roles than F&B International Group Admin and F&B España, S.A - Procurement, and you will notice that alert is not available for them.
(0097167)
hgbot (developer)
2017-06-06 14:12

Repository: erp/devel/pi
Changeset: 7e8422bd22c033f97a98cdeae0a0efc6d6d1c6e7
Author: Alvaro Ferraz <alvaro.ferraz <at> openbravo.com>
Date: Tue Jun 06 14:10:29 2017 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/7e8422bd22c033f97a98cdeae0a0efc6d6d1c6e7 [^]

Related to issue 36170: Disable warning until issue is fixed

---
M src-util/modulescript/build/classes/org/openbravo/modulescript/GrantAccessToProcessDefinition.class
M src-util/modulescript/src/org/openbravo/modulescript/GrantAccessToProcessDefinition.java
---
(0097170)
hgbot (developer)
2017-06-06 18:01

Repository: erp/devel/pi
Changeset: 0dd46aacb8d38571a1825ecaf4cd0ab2f125d82a
Author: Mark <markmm82 <at> gmail.com>
Date: Mon Jun 05 13:39:41 2017 -0400
URL: http://code.openbravo.com/erp/devel/pi/rev/0dd46aacb8d38571a1825ecaf4cd0ab2f125d82a [^]

Fixes issue 36170: Improvements in GrantAccessToProcessDefinition modulescript

Instead of showing the warning when modulescript is applied, an alert is
created and assigned to the admin role and each of the affected roles informing
about the problem.

---
M src-util/modulescript/build/classes/org/openbravo/modulescript/GrantAccessToProcessDefinition.class
M src-util/modulescript/build/classes/org/openbravo/modulescript/GrantAccessToProcessDefinitionData.class
M src-util/modulescript/src/org/openbravo/modulescript/GrantAccessToProcessDefinition.java
M src-util/modulescript/src/org/openbravo/modulescript/GrantAccessToProcessDefinition_data.xsql
---
(0097172)
aferraz (developer)
2017-06-06 18:46

Code review + Testing OK
(0097246)
hudsonbot (developer)
2017-06-08 17:12

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/fda0f16ab470 [^]
Maturity status: Test
(0097247)
hudsonbot (developer)
2017-06-08 17:12

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/fda0f16ab470 [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2017-06-02 12:54 vmromanos New Issue
2017-06-02 12:54 vmromanos Assigned To => Triage Finance
2017-06-02 12:54 vmromanos Modules => Core
2017-06-02 12:54 vmromanos Triggers an Emergency Pack => No
2017-06-02 12:55 vmromanos Relationship added depends on 0035718
2017-06-02 12:55 vmromanos Relationship added depends on 0033035
2017-06-02 13:09 vmromanos Relationship added depends on 0036171
2017-06-02 13:11 vmromanos Description Updated View Revisions
2017-06-02 13:36 aferraz Assigned To Triage Finance => markmm82
2017-06-02 14:51 markmm82 Status new => scheduled
2017-06-05 19:56 markmm82 Note Added: 0097151
2017-06-06 14:12 hgbot Checkin
2017-06-06 14:12 hgbot Note Added: 0097167
2017-06-06 18:01 hgbot Checkin
2017-06-06 18:01 hgbot Note Added: 0097170
2017-06-06 18:01 hgbot Status scheduled => resolved
2017-06-06 18:01 hgbot Resolution open => fixed
2017-06-06 18:01 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/0dd46aacb8d38571a1825ecaf4cd0ab2f125d82a [^]
2017-06-06 18:46 aferraz Review Assigned To => aferraz
2017-06-06 18:46 aferraz Note Added: 0097172
2017-06-06 18:46 aferraz Status resolved => closed
2017-06-06 18:46 aferraz Fixed in Version => 3.0PR17Q3
2017-06-08 17:12 hudsonbot Checkin
2017-06-08 17:12 hudsonbot Note Added: 0097246
2017-06-08 17:12 hudsonbot Checkin
2017-06-08 17:12 hudsonbot Note Added: 0097247


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker